From 5610faac932c375ec665d8562eed535f85ef978b Mon Sep 17 00:00:00 2001
From: spike <spike@fedoraproject.org>
Date: Tue, 9 Nov 2010 15:19:19 +0100
Subject: [PATCH] Removed obsolete patch
 tomcat5 -> tomcat6 BRs/Rs

---
 maven-project-info-reports-plugin.depmap |   12 ++++++++++++
 maven-project-info-reports-plugin.spec   |   24 ++++++++++--------------
 2 files changed, 22 insertions(+), 14 deletions(-)
 create mode 100644 maven-project-info-reports-plugin.depmap

diff --git a/maven-project-info-reports-plugin.depmap b/maven-project-info-reports-plugin.depmap
new file mode 100644
index 0000000..51c9433
--- /dev/null
+++ b/maven-project-info-reports-plugin.depmap
@@ -0,0 +1,12 @@
+<dependencies>
+  <dependency>
+    <maven>
+      <groupId>javax.servlet</groupId>
+      <artifactId>servlet-api</artifactId>
+    </maven>
+    <jpp>
+      <groupId>JPP</groupId>
+      <artifactId>tomcat6-servlet-2.5-api</artifactId>
+    </jpp>
+  </dependency>
+</dependencies>
diff --git a/maven-project-info-reports-plugin.spec b/maven-project-info-reports-plugin.spec
index d8e8b39..c778aca 100644
--- a/maven-project-info-reports-plugin.spec
+++ b/maven-project-info-reports-plugin.spec
@@ -1,6 +1,6 @@
 Name:           maven-project-info-reports-plugin
 Version:        2.2
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Maven Project Info Reports Plugin
 
 Group:          Development/Libraries
@@ -9,27 +9,19 @@ URL:            http://maven.apache.org/plugins/maven-project-info-reports-plugi
 #svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-project-info-reports-plugin-2.2/
 #tar jcf maven-project-info-reports-plugin-2.2.tar.bz2 maven-project-info-reports-plugin-2.2/
 Source0:        %{name}-%{version}.tar.bz2
+Source1:        %{name}.depmap
 #- Modified maven version from 2.1.0 to 2.0.8 which is available now in koji,
 #  will remove this from patch once maven is upgraded to version 2.2.1.
 #- Removed junit-addons dependency as there is no junit-addons available in koji, meanwhile set test skip as true.
 Patch0:        %{name}-pom.patch
-#Method getMirrorRepository is new method of org.apache.maven.artifact.manager.WagonManager, it is not available in maven 2.0.8
-#will remove this patch once maven is upgraded to version 2.2.1
-Patch1:        RepositoryUtils.java.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildArch: noarch
 
 BuildRequires: java-devel >= 1:1.6.0
 BuildRequires: jpackage-utils
-BuildRequires: maven2
+BuildRequires: apache-commons-parent
 BuildRequires: maven-plugin-plugin
-BuildRequires: maven-compiler-plugin
-BuildRequires: maven-install-plugin
-BuildRequires: maven-jar-plugin
-BuildRequires: maven-javadoc-plugin
-BuildRequires: maven-resources-plugin
-BuildRequires: maven-surefire-plugin
 BuildRequires: maven-shared-reporting-api
 BuildRequires: maven-shared-reporting-impl
 BuildRequires: maven-shared-dependency-tree 
@@ -45,7 +37,7 @@ BuildRequires: plexus-utils
 BuildRequires: apache-commons-validator
 BuildRequires: httpunit
 BuildRequires: maven-plugin-testing-harness
-BuildRequires: tomcat5
+BuildRequires: servlet25
 BuildRequires: netbeans-cvsclient
 
 Requires:       maven2
@@ -57,7 +49,7 @@ Requires:       plexus-i18n
 Requires:       plexus-utils
 Requires:       apache-commons-validator
 Requires:       httpunit
-Requires:       tomcat5
+Requires:       servlet25
 
 Requires(post):       jpackage-utils
 Requires(postun):     jpackage-utils
@@ -82,13 +74,13 @@ API documentation for %{name}.
 %prep
 %setup -q 
 %patch0 -p0
-%patch1 -p0
 
 %build
 export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
 mvn-jpp \
         -e \
         -Dmaven2.jpp.mode=true \
+        -Dmaven2.jpp.depmap.file="%{SOURCE1}" \
         -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
         -Dmaven.test.skip=true \
         install javadoc:javadoc
@@ -134,6 +126,10 @@ rm -rf %{buildroot}
 %{_javadocdir}/%{name}
 
 %changelog
+* Tue Nov 9 2010 Chris Spike <chris.spike@arcor.de> 2.2-5
+- Removed obsolete patch
+- tomcat5 -> tomcat6 BRs/Rs
+
 * Tue Oct 26 2010 akurtakov <akurtakov@redhat.com> 2.2-4
 - Fix apache-commons-validator BR/R.
 
-- 
1.7.3.2

